Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006229 [DCSS] Bug Report tweak have not tried 2012-09-15 17:08 2013-08-15 17:50
Reporter absolutego View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0006229: Unidentified vorpalise scroll can leak information
Description E.g. when using it on freezing around allies:

"Really harm your small abomination, ogre zombies, two-headed ogre zombie, rock troll zombie, cyclops skeleton, kobold zombie, yak zombies and rock troll skeleton?"

Either it shouldn't say anything, or it should clarify what kind of scroll it is in the message.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020173)
XuaXua (reporter)
2012-09-15 17:40

You mean holy Word scroll?
(0020175)
BlackSheep (reporter)
2012-09-15 20:57
edited on: 2012-09-15 21:05

He means Vorpalise. It really lets you cancel it? That's awesome. Also, broken.

Edit: tested in 0.12, if you cancel it, it still identifies the scroll, so it's not a true leak, but the ordering of the messages could be better.

(0020182)
galehar (administrator)
2012-09-16 22:43

It shouldn't let you cancel when it's unided
(0023744)
MarvinPA (developer)
2013-08-15 17:50

Fixed by recent ?vorp changes.

- Issue History
Date Modified Username Field Change
2012-09-15 17:08 absolutego New Issue
2012-09-15 17:11 neil Summary Vorpalise scroll can leak information => Unidentified vorpalise scroll can leak information
2012-09-15 17:40 XuaXua Note Added: 0020173
2012-09-15 20:57 BlackSheep Note Added: 0020175
2012-09-15 21:05 BlackSheep Note Edited: 0020175
2012-09-16 22:43 galehar Note Added: 0020182
2013-08-15 17:50 MarvinPA Note Added: 0023744
2013-08-15 17:50 MarvinPA Status new => resolved
2013-08-15 17:50 MarvinPA Fixed in Branch => 0.13 development branch
2013-08-15 17:50 MarvinPA Resolution open => done
2013-08-15 17:50 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker